Index: code/trunk/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- code/trunk/src/orxonox/worldentities/ControllableEntity.cc	(revision 8892)
+++ code/trunk/src/orxonox/worldentities/ControllableEntity.cc	(revision 9016)
@@ -74,5 +74,4 @@
         this->bMouseLook_ = false;
         this->mouseLookSpeed_ = 200;
-        this->bIsRocket_ = false;
 
         this->server_position_         = Vector3::ZERO;
@@ -88,4 +87,5 @@
         this->setPriority( Priority::VeryHigh );
         this->registerVariables();
+	this->team_ = -1;
     }
 
@@ -120,4 +120,5 @@
         SUPER(ControllableEntity, XMLPort, xmlelement, mode);
 
+        XMLPortParam(ControllableEntity, "team", setTeam, getTeam, xmlelement, mode).defaultValues(-1);
         XMLPortParam(ControllableEntity, "hudtemplate", setHudTemplate, getHudTemplate, xmlelement, mode);
         XMLPortParam(ControllableEntity, "camerapositiontemplate", setCameraPositionTemplate, getCameraPositionTemplate, xmlelement, mode);
Index: code/trunk/src/orxonox/worldentities/ControllableEntity.h
===================================================================
--- code/trunk/src/orxonox/worldentities/ControllableEntity.h	(revision 8892)
+++ code/trunk/src/orxonox/worldentities/ControllableEntity.h	(revision 9016)
@@ -163,6 +163,9 @@
                 { return this->target_.get(); }
             void setTargetInternal( uint32_t targetID );
-            inline bool getRocket() const
-                { return this-> bIsRocket_; }
+
+	    inline void setTeam(int team)
+	        { this->team_ = team; }
+	    inline float getTeam() const
+	        { return this->team_; }
 
         protected:
@@ -183,5 +186,4 @@
 
             Ogre::SceneNode* cameraPositionRootNode_;
-            bool bIsRocket_; //Workaround to see, if the controllable entity is a Rocket.
 
         private:
@@ -240,4 +242,6 @@
             CameraPosition* reverseCamera_;
             WeakPtr<WorldEntity> target_;
+
+	    int team_ ; //<! teamnumber
     };
 }
Index: code/trunk/src/orxonox/worldentities/pawns/FpsPlayer.cc
===================================================================
--- code/trunk/src/orxonox/worldentities/pawns/FpsPlayer.cc	(revision 8892)
+++ code/trunk/src/orxonox/worldentities/pawns/FpsPlayer.cc	(revision 9016)
@@ -270,5 +270,5 @@
     }
 
-    void FpsPlayer::boost() //acctually jump
+    void FpsPlayer::boost(bool bBoost) //acctually jump
     {
         if (this->isFloor_)
Index: code/trunk/src/orxonox/worldentities/pawns/FpsPlayer.h
===================================================================
--- code/trunk/src/orxonox/worldentities/pawns/FpsPlayer.h	(revision 8892)
+++ code/trunk/src/orxonox/worldentities/pawns/FpsPlayer.h	(revision 9016)
@@ -65,5 +65,5 @@
                 { return this->meshSrc_; }
 
-            void boost(); //acctually jump
+            void boost(bool bBoost); //acctually jump
 
             virtual void fire();
Index: code/trunk/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/trunk/src/orxonox/worldentities/pawns/Pawn.cc	(revision 8892)
+++ code/trunk/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9016)
@@ -129,4 +129,6 @@
         XMLPortParam(Pawn, "reloadrate", setReloadRate, getReloadRate, xmlelement, mode).defaultValues(0);
         XMLPortParam(Pawn, "reloadwaittime", setReloadWaitTime, getReloadWaitTime, xmlelement, mode).defaultValues(1.0f);
+   
+        XMLPortParam ( RadarViewable, "RVName", setRVName, getRVName, xmlelement, mode );
     }
 
@@ -455,5 +457,5 @@
         SUPER(Pawn, changedActivity);
 
-        this->setRadarVisibility(this->isActive());
+        this->setRadarVisibility(this->isVisible());
     }
 
Index: code/trunk/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- code/trunk/src/orxonox/worldentities/pawns/Pawn.h	(revision 8892)
+++ code/trunk/src/orxonox/worldentities/pawns/Pawn.h	(revision 9016)
@@ -53,4 +53,5 @@
             inline bool isAlive() const
                 { return this->bAlive_; }
+
 
             virtual void setHealth(float health);
@@ -194,4 +195,5 @@
                 { return NULL; }
 
+
             float health_;
             float maxHealth_;
